Bug 57384 - CFNetwork and WebCore load priorities should match
Summary: CFNetwork and WebCore load priorities should match
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Page Loading (show other bugs)
Version: 528+ (Nightly build)
Hardware: Macintosh OS X 10.6
: P2 Normal
Assignee: David Kilzer (:ddkilzer)
URL:
Keywords:
Depends on:
Blocks: 61078
  Show dependency treegraph
 
Reported: 2011-03-29 13:34 PDT by David Kilzer (:ddkilzer)
Modified: 2011-05-18 10:17 PDT (History)
4 users (show)

See Also:


Attachments
Patch v1 (12.79 KB, patch)
2011-04-04 11:52 PDT, David Kilzer (:ddkilzer)
ddkilzer: commit-queue-
Details | Formatted Diff | Diff
Patch v2 (13.09 KB, patch)
2011-04-04 13:22 PDT, David Kilzer (:ddkilzer)
ap: review+
ddkilzer: commit-queue-
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description David Kilzer (:ddkilzer) 2011-03-29 13:34:52 PDT
* SUMMARY
When resource load priorities are round-tripped through CFNetwork for the experimental HTTP pipelining feature, we currently map 4 WebCore priorities to 3 CFNetwork priorities.  This should be fixed so that the load priorities match when they are round-tripped.
Comment 1 David Kilzer (:ddkilzer) 2011-04-04 11:52:09 PDT
Created attachment 88087 [details]
Patch v1
Comment 2 David Kilzer (:ddkilzer) 2011-04-04 13:22:14 PDT
Created attachment 88111 [details]
Patch v2

Made a small fix in ResourceHandleMac.mm compared to Patch v1:

     if (isHTTPPipeliningEnabled()) {
-        int priority = mapResourceLoadPriorityToHTTPPipeliningPriority(m_priority);
-        wkSetHTTPPipeliningPriority(nsRequest, shouldForceHTTPPipeliningPriorityHigh() ? 2 : priority);
+        int priority = toHTTPPipeliningPriority(shouldForceHTTPPipeliningPriorityHigh() ? ResourceLoadPriorityHigh : m_priority);
+        wkSetHTTPPipeliningPriority(nsRequest, priority);
     }
Comment 3 David Kilzer (:ddkilzer) 2011-04-04 21:40:31 PDT
Committed r82900: <http://trac.webkit.org/changeset/82900>